Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.sitemesh
[Java] Class GrailsNoDecorator

    java.lang.Object
      com.opensymphony.sitemesh.webapp.decorator.BaseWebAppDecorator
          org.codehaus.groovy.grails.web.sitemesh.GrailsNoDecorator

    public class GrailsNoDecorator
    extends BaseWebAppDecorator

Grails version of Sitemesh's NoDecorator original version always calls response.setContentLength which would require the calculation of resulting bytes. Calculation would be extra overhead. bug exists for OutputStream / byte version: http://jira.opensymphony.com/browse/SIM-196 skip setting ContentLength because of that bug.

Authors:
  Lari Hotari, Sagire Software Oy

Method Summary
`protected void` | `render(Content content, HttpServletRequest request, HttpServletResponse response, ServletContext servletContext, SiteMeshWebAppContext webAppContext)`

Method Detail

### render

    @Override
    protected void render(Content content, HttpServletRequest request, HttpServletResponse response, ServletContext servletContext, SiteMeshWebAppContext webAppContext)

Groovy Documentation